package com.goafanti.order.service;

import org.apache.poi.xssf.usermodel.XSSFWorkbook;

import com.goafanti.common.model.TOrderBonus;
import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.order.bo.OrderListBo;
import com.goafanti.order.bo.TOrderBonusBo;

public interface OrderBonusService {
	/**
	 * 新增奖金信息
	 * @param bonus
	 * @return
	 */
	Integer addOrderBouns(TOrderBonus bonus);
	
	/**
	 * 更改营销员发放奖金状态
	 * @param id
	 * @return
	 */
	Integer updateBounsPaymnetStatus(String id,String orderNo);
	
	/**
	 * 财务专员查看技术员的奖金统计
	 * @param newBo
	 * @return
	 */
	Pagination<OrderListBo> technicianBonusStatistics(TOrderBonusBo bonusBo , Integer pageNo, Integer pageSize);
	
	/**
	 * 财务专员查看营销员的奖金统计
	 * @param newBo
	 * @return
	 */
	Pagination<TOrderBonusBo> saleBonusStatistics(TOrderBonusBo bonusBo, Integer pageNo, Integer pageSize);
	/**
	 * 财务专员更改技术员(咨询师)奖金发放状态
	 * @param id
	 * @return
	 */
	Integer updateChangeBonus(String id);
	
	/**
	 * 财务专员导出技术员奖金数据
	 * @param bonusBo
	 * @return
	 */
	XSSFWorkbook exportTechnicianBonusData(TOrderBonusBo bonusBo);
	
	/**
	 * 财务专员导出营销员奖金数据
	 * @param bonusBo
	 * @return
	 */
	XSSFWorkbook exportSaleBonusData(TOrderBonusBo bonusBo);
}
